Package org.apache.commons.imaging.icc

## Enum IccTagDataTypes

- java.lang.Object
- - java.lang.Enum<IccTagDataTypes>
  - - org.apache.commons.imaging.icc.IccTagDataTypes

- All Implemented Interfaces:
    `Serializable`, `Comparable<IccTagDataTypes>`

      public enum IccTagDataTypes
      extends Enum<IccTagDataTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DATA_TYPE` |
    `DESC_TYPE` |
    `MULTI_LOCALIZED_UNICODE_TYPE` |
    `SIGNATURE_TYPE` |
    `TEXT_TYPE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `name` |
    `int` | `signature` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(String prefix, byte[] bytes)` |
    `String` | `getName()` |
    `int` | `getSignature()` |
    `static IccTagDataTypes` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IccTagDataTypes[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESC_TYPE

          public static final IccTagDataTypes DESC_TYPE

    - #### DATA_TYPE

          public static final IccTagDataTypes DATA_TYPE

    - #### MULTI_LOCALIZED_UNICODE_TYPE

          public static final IccTagDataTypes MULTI_LOCALIZED_UNICODE_TYPE

    - #### SIGNATURE_TYPE

          public static final IccTagDataTypes SIGNATURE_TYPE

    - #### TEXT_TYPE

          public static final IccTagDataTypes TEXT_TYPE

  - ### Field Detail

    - #### name

          public final String name

    - #### signature

          public final int signature

  - ### Method Detail

    - #### values

          public static IccTagDataTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IccTagDataTypes c : IccTagDataTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IccTagDataTypes valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getSignature

          public int getSignature()

    - #### dump

          public abstract void dump​(String prefix,
                                    byte[] bytes)
                             throws ImageReadException,
                                    IOException

      Throws:
        `ImageReadException`
        `IOException`